# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> smeserver-postfix

SMEServer Koozali developed git repo for smeserver-postfix core 

## Wiki
<br />https://wiki.koozali.org/smeserver-postfix

## Bugzilla
Show list of outstanding bugs: [here](https://bugs.koozali.org/buglist.cgi?quicksearch=smeserver-postfix)

## Description

Koozali SME Server wrapper to configure postfix

## Development and testing

 mkdir /etc/e-smith/templates-custom/var/service/qpsmtpd/config/plugins/
 echo 'return "queue/postfix-queue";' > /etc/e-smith/templates-custom/var/service/qpsmtpd/config/plugins/90queue-qmail-queue
 config setprop qmail status disabled
 systemctl stop qmail
 signal-event email-update
 dnf install smerserver-postfix


then test 

 echo "This email confirms that Postfix is working" | mail -s "Testing Posfix" emailuser@example.com

or using roundcube

TODO
* remote SMTP
* smart SMTP
* SSL
* logging
* .qmail support or alternative
* maildrop/procmail support ?
* switch smeserver-qpsmtpd support to postfix
* check /usr/sbin/sendmail -> /etc/alternatives/mta -> /usr/sbin/sendmail.postfix upon removal/update of qmail
